import { Block } from '../../models/block';
import { ElementLabels, BlockLabels } from '../../models/labels';
import { ResolveLocation } from '../../models/resolve-location';
export declare class BceBlockEditor implements BlockLabels {
    el: HTMLBceBlockEditorElement;
    preview: boolean;
    labels: ElementLabels;
    value: Block;
    whitelist?: string;
    blacklist?: string;
    resolveLocation?: ResolveLocation;
    labelTitle: string;
    labelSubtitle: string;
    private fileDelete;
    private handleSort;
    private handleTemplate;
    private handleDelete;
    private handleDuplicate;
    addElement(type: Block.Type): Promise<void>;
    getStoredFiles(): Promise<string[]>;
    private getName;
    componentDidLoad(): void;
    renderElements(): any[];
    render(): any[];
}
